<?php
require 'conexao.php';
session_start();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Verifica se o código de recuperação e a nova senha foram fornecidos
    if (isset($_POST['codigo'], $_POST['novasenha'], $_POST['confirmarsenha'])) {
        $codigo_recuperacao = $_POST['codigo'];
        $nova_senha = $_POST['novasenha'];
        $confirmar_senha = $_POST['confirmarsenha'];

        // Verifica se as senhas digitadas são iguais
        if ($nova_senha === $confirmar_senha) {
            // Validação do código de recuperação (não incluído neste exemplo)

            // Criptografar a nova senha
            $senha_criptografada = password_hash($nova_senha, PASSWORD_DEFAULT);

            // Obter o e-mail do usuário da variável de sessão
            $email = $_SESSION['email'];








// Inclui o arquivo de conexão




// Conecta ao banco de dados
$conn = mysqli_connect('localhost', 'datillaonline_bx', '08000800M@#', 'datillaonline_block');

// Verifica a conexão
if (!$conn) {
    die("Erro na conexão com o banco de dados: " . mysqli_connect_error());
}

// Dados para o UPDATE
$newPassword = $senha_criptografada;
$email = $_SESSION['email'];

// Instrução SQL de UPDATE
$sql = "UPDATE usersblock SET password = '$newPassword' WHERE email = '$email'";

// Executa a consulta
if (mysqli_query($conn, $sql)) {
    echo '<html>
<head>
    <title>Alterar senha</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<img class="bn" src="bn.png" alt=""><br><br>
    <div class="titulo">Senha alterada com sucesso.</div>
    <div class="texto2">A senha desse e-mail de usuário, foi alterada com sucesso.</div><br><br><br>
        <a href="login.php"><button>Login</button></a><br><br>
    
</body>
</html>';
} else {
    echo 'Erro no UPDATE: ' . mysqli_error($conn);
}

// Fecha a conexão
mysqli_close($conn);














            // Redirecionamento para a página de login com mensagem de sucesso
            header('Location: login.php?senha_alterada=true');
            exit;
        } else {
            // Exibe uma mensagem de erro se as senhas não forem iguais
            $mensagem_erro = 'As senhas digitadas não coincidem. Por favor, tente novamente.';
        }
    }
}
?>

<!DOCTYPE html>
<html>
<head>
    <title>Alterar senha</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<img class="bn" src="bn.png" alt=""><br><br>
    <div class="titulo">Alterar senha</div>
    <?php if (isset($mensagem_erro)) { echo '<p>' . $mensagem_erro . '</p>'; } ?>

    <form method="post">
        <input type="hidden" name="codigo" value="<?= $_GET['codigo']; ?>">
        <input type="password" name="novasenha" placeholder="Nova senha" required><br><br>
        <input type="password" name="confirmarsenha" placeholder="Confirmar senha" required><br><br>
        <button type="submit">Alterar Senha</button>
    </form>
</body>
</html>
